*******************************
Define Class AspBase AS ComBase
*******************************

* The ASP objects
oRequest                = Null
*oRequest_ComAttrib      = 1
oResponse               = Null
*oResponse_ComAttrib     = 1
oApplication            = Null
*oApplication_ComAttrib  = 1
oSession                = Null
*oSession_ComAttrib      = 1
oServer                 = Null
*oServer_ComAttrib       = 1
oContext                = Null
*oContext_ComAttrib      = 1


**************************************************
Procedure OnStartPage(toContext as Object) as Void
**************************************************
* Save the ASP objects
This.oContext       = toContext
This.oRequest       = toContext.Request
This.oResponse      = toContext.Response
This.oApplication   = toContext.Application
This.oServer        = toContext.Server

If Type('toContext.Session') = 'O'
	* Sessions might be disabled
   This.oSession    = toContext.Session
EndIf

If Vartype(poStatus) = 'O'
	* Notify the status window of the start of the ASP request
	poStatus.OnStartAspRequest(This)
EndIf

Return


**************************************************
Protected Procedure ConfigureDebugServer(toServer)
**************************************************
* Set any extra properties required on the debugable com server

* Call the OnStartPage to pass the ASP context object
toServer.OnStartPage(This.oContext)
* Make sure the response page isn't cached in the browser while debugging
This.oResponse.ExpiresAbsolute = {^2000-01-01}

Return

EndDefine
